*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Poppins", serif;
}

body{
    background-color: #f1f1f1;
}

.container1{
    background-color: #ffffff;
    width: 80%;
    margin-inline: auto;
}



@media (max-width: 992px){
    .container1 {
        width: 90%;
    }
}



/* Navbar */
.navbar{
    padding: 20px 0 20px 0;
}
.navbar-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar-box .menu{
    display: flex;
    gap: 40px;
}
.navbar-box .menu li{
    list-style-type: none;
}
.navbar-box .menu li a{
    text-decoration: none;
    color: black;
    font-size: 18px;
}
.navbar-box .menu li a:hover{
    border-bottom: 3px solid rebeccapurple;
}
.navbar-box .ri-menu-3-line{
    display: none;
    font-weight: bold;
}

@media (max-width: 768px){
    .navbar-box .ri-menu-3-line{
    display: block;
}
    .navbar-box .menu{
    position: absolute;
    top: -100%;
    left: 50%;
    transform: translate(-50%);
    flex-direction: column;
    text-align: center;
    background-color: rebeccapurple;
    width: 100%;
    padding: 40px 0 40px 0;
    transition: all 0.2s ease-in-out;
    opacity: 0;
}
.navbar-box .menu.menu-active{
    top: 100px;
    opacity: 1;
}
.navbar-box .menu li a{
    color: white;
    font-size: 20px;
    text-decoration: underline;
}
}
/* Navbar */

/* Hero  */
.hero {
    background-color: #ebe9e9;
    display: flex;
    position: static;
    margin-inline: auto;
    
    padding-top: 60px;
}

.hero-box {
    
    display: grid;
    grid-template-columns: 70% 30%; 
    gap:5px;
    
}

.boxb {
    padding: 20px;
}

.single img {
    
  float: left; /* Membuat gambar berada di kiri */
  margin-right: 20px; /* Memberikan jarak ke teks di sebelah kanan */
  width: 250px;
}

.share {
    padding-top: 35px;
     display: flex;
    align-items: center;
    gap: 15px;
}


.hero-box h1{
    font-size: 36px;
    line-height: 1.5;
    margin-bottom: 5px;
    color: blue;
}

.hero-box p {
    line-height: 2;
    margin-bottom: 30px;
}

.hero-box span {
    text-decoration: none;
    background-color: rebeccapurple;
    color: white;
    padding: 10px 20px 10px 20px;
    border-radius: 5px;
}

.hero-box img{
    width: 250px;
    height: 250px;
    margin-top: 20px;
    border-radius: 30px;
   
}


.logo-brand{
    
    border-radius: 10px;
    padding: 9px 9px 9px 9px;
}
.logo-brand img{
    
    width: 120px;
    height: 40px;
    margin-top: 10px;
    border-radius: 10px;
   
}



@media (max-width: 768px) {
    .hero-box {
        grid-template-columns: 100%;
        text-align: center;
        gap: 70px;
    }
}

.detail-box {
    
    width:70%;
    display: grid;
    grid-template-columns: 780px 390px;
    gap: 10px;
    
}



.detail-box p {
    line-height: 2;
    margin-bottom: 30px;
}

.detail-box .lainnya {
    background-color: #f1f4f6;
    border-radius: 10px;
    padding: 9px 9px 9px 9px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;         
    }
    
.detail-box .lainnya h1{
    font-size: 30px;
    line-height: 1.5;
    margin-bottom: 5px;
    
}


    
.detail-box .lainnya img{
    
    width: 180px;
    height: 180px;
    margin-top: 5px;
    border-radius: 5px;
}
.detail-box .lainnya  img:hover {
    background-color: blue;
    transform: scale(1.05);
}

.detail-box .lainnya  p {
    width: 180px;
   text-overflow: ellipsis;
}

.produk-terkait {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;         
    }
    
.produk-terkait .single-terkait:hover {
    border: 2px solid blue;
    transform: scale(1.05);
}
    
.single-terkait {
    width: 160px;
    height: 220px;
    background-color: #ffffff;
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.2s ease;
}




.single-terkait  img {
    width: 150px;
    height: 150px;
    background-color: white;
    padding: 5px;
    margin:0px;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.2s ease;
}

.single-terkait span{
    text-decoration: none;
    background-color: transparent;
    font-size: 12px;
    color: orange;
    padding: 2px 5px 0px 5px;
    border-radius: 2px;
}
    
.single-terkait p {
    line-height: 1.2;
  margin-bottom: 5px;
  font-size: 12px;
    display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}

@media (max-width: 475px){
        .single-terkait {
            width: 160px;
            height: 220px;
        }
        .single-terkait img{
            width: 145px;
            height: 145px;
        }
        .single-terkait  p {
        width: 145px;
        }
    }
    
@media (max-width: 360px){
        .single-terkait {
            width: 150px;
            height: 220px;
        }
        .single-terkait img{
            width: 140px;
            height: 140px;
        }
        .single-terkait  p {
            font-size: 12px;
            width: 140px;
        }
    }    



/* Hero  */

/* Footer  */
.footer {
    background-color: white;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer p span{
    font-weight: bold;
    color: rebeccapurple;
}

.footer .boxc:nth-child(2) {
    display: flex;
    align-items: center;
    gap: 15px;
}

.footer .boxc i {
    cursor: pointer;
}

.footer .boxc i:hover {
    color: blue;
}

@media (max-width: 768px){
    .footer {
        gap: 20px;
    }
    .footer p {
        font-size: 12px;
    }
    .footer .box:nth-child(2){
        gap: 10px;
    }
}
/* Footer  */